unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, fpPDF;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    SaveDialog1: TSaveDialog;
    procedure Button1Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  D: TPDFDocument; S: TPDFSection; P: TPDFPage; Rl, Rr, Ro: TPDFFloat;
  Bild, URL, PDFDatei: String; Abstand, i, j, k, Img, ImgDe, HelN, HelF, yBeMa: Integer; F: TFileStream; MemStream: TMemoryStream; MimeType: String;
  Breite, Hoehe, aspRat: Word;
  xPos, yPos: array of integer;
begin
  SetLength(xPos,51);
  SetLength(yPos,51);
  xPos:= [15,30,20,57,117,57,82,152,57,82,105,123,57,82,105,123,57,82,105,123,57,82,105,123,57,82,105,123,20,26,57,56,151,18,18,168,109,170,18,18,18,18,18,18,18,18,18,18,18,18,18];
  yPos:= [253,285,290,285,285,279,279,279,274,274,274,274,270,270,270,270,266,266,266,266,262,262,262,262,258,258,258,258,245,239,253,256,256,252,233,233,221,221,149,133,128,118,108,97,91,81,75,67,56,40,28];
  SaveDialog1.FileName:= 'Liste.pdf';
  if SaveDialog1.Execute then
    PDFDatei:= SaveDialog1.FileName
  else begin
   SaveDialog1.FileName:= '';
   exit;
  end;

  Abstand:= 55; //53;
  D:= TPDFDocument.Create(Nil);
  D.StartDocument;
  HelN:= D.AddFont('Helvetica');
  HelF:= D.AddFont('Helvetica-Bold');
  S:= D.Sections.AddSection;
  P:= D.Pages.AddPage;
  P.PaperType:= ptA4;
  P.UnitOfMeasure:= uomMillimeters;
  S.AddPage(P);

  // Erstellen des Deckblattes der Internetliste
  P.SetFont(HelF,36);
  P.WriteText(xPos[33], yPos[33], 'Versteigerung');
  P.SetFont(HelF,14);
  P.WriteText(xPos[34], yPos[34], 'Versteigerungsliste ' + 'für' + ' den');
  P.SetFont(HelF,12);
  P.SetColor(clRed, False);
  P.WriteText(97, yPos[42], 'Angaben sind ohne ' + UTF8Decode('Gewähr!'));
  P.SetColor(clBlack, False);
  P.SetFont(HelF,12);
  P.WriteText(113, yPos[43], UTF8Decode('ausschließlich'));
  P.SetFont(HelN,12);
  P.WriteText(143 ,yPos[43], 'den');
  P.WriteText(xPos[44], yPos[44], 'angebrachten Objektbeschreibungen.');
  P.WriteText(xPos[45], yPos[45], 'Die ' + UTF8Decode('ausführlichen') + 'Versteigerungsbedingungen und weitere Informationen');

  P:= D.Pages.AddPage; // Ende Deckblatt

  F:= TFileStream.Create(PDFDatei, fmCreate);
  D.SaveToStream(F);
  F.Free;
  D.Free;
  SaveDialog1.FileName:= '';
end;

end.

